:root {
    --galleryButtonsDim: 3rem;
    --panoramaPhotoHeight: 50svh;
}

.ab-noSelection {
    user-select: none;
}

.ab-transition,
.ab-photoFrame ul,
.ab-photoFrame img {
    transition-property: all;
    transition-duration: .8s;
    transition-timing-function: ease;
}

.ab-roundedCornersTLBR4 {
    border-radius: .4rem 0 .4rem 0;
    background-clip: padding-box;
}

.ab-hiddenD {
    display: none !important;
}

.ab-visibleO {
    visibility: visible !important;
    opacity: 1 !important;
}

.ab-photoFrameULGridArea {
    grid-area: 1/1/2/2;
}

.ab-photoGallery {
    position: relative;
    width: 100%;
}

.ab-photosSection {
    display: flex;
    flex-flow: column nowrap;
    width: 100%;
    margin: auto;
	gap: 3px;
	position: relative;
}
.ab-photosSection .ab-galleryButtons {
    width: var(--galleryButtonsDim);
    height: var(--galleryButtonsDim);
    color: var(--white);
    text-align: center;
    font-size: 1.4rem;
    line-height: calc(var(--galleryButtonsDim) + 2px);
    border-radius: 50%;
    background-clip: padding-box;
    cursor: pointer;
    background-color: #00000069;
    z-index: 3;
    display: flex;
    justify-content: center;
    align-items: center;
	position: relative;
}
.ab-photosSection .ab-galleryButtons::after{
	content: "";
	position: absolute;
	width: 100%;
	height: 100%;
}

.ab-photosSection .ab-galleryButtons:hover {
    background-color: #00000086;

}

.ab-photosSection figure {
    opacity: 0;
    cursor: pointer;
}

.galleryRightButton-icon,.galleryLeftButton-icon{
	width: 30px !important;	
	height: 30px !important;
}
.galleryRightButton-icon{
	transform: rotate(90deg);
}
.galleryLeftButton-icon{
	transform: rotate(-90deg);
}
.ab-galleryRightButton {
    grid-area: 1/3/2/4;
}

.ab-galleryLeftButton {
    grid-area: 1/1/2/2;
}

.ab-photoFrame {
    display: grid;
    grid: var(--panoramaPhotoHeight) / calc(var(--galleryButtonsDim) + 1rem) 1fr calc(var(--galleryButtonsDim) + 1rem);
    justify-items: center;
    align-items: center;
    width: 100%;
    height: var(--panoramaPhotoHeight);
	position: relative;
	border-radius: 3px;
    overflow: hidden;
}

.ab-panoramaContainer {
	background-color: #fff !important;
    grid-area: 1/1/2/4;
    width: 100%;
    height: 100%;
    z-index: 2;
}

.ab-hiddenPanoramaContainer {
    visibility: hidden;
    opacity: 0;
}

.ab-panoramaContainer canvas+div+div>span {
    font-family: inherit, sans-serif !important;
    font-size: 7rem !important;
    direction: rtl;
}

.ab-panoramaContainer canvas+div+div>span>a>span:first-of-type {
    float: left !important;
    margin: 5px 12px 0 0 !important;
}

.ab-panoramaContainer canvas+div+div>span:first-of-type>a>span:first-of-type {
    transform: scale(-1, 1);
}

.ab-panoramaContainer canvas+div+div>span>a>span:last-of-type {
    float: left !important;
}

.ab-panoramaContainer a{
    font-size: 1rem;
    text-decoration: none;
    color: var(--colorPrimary);
}

.ab-photoFrame ul {
    grid-area: 1/1/2/4;
    display: grid;
    grid: 1fr / 1fr;
    width: 100%;
    height: inherit;
}

.ab-photoFrame ul li {
    position: relative;
    z-index: 0;
}

.ab-photoFrame li figure {
    display: grid;
    grid: 1fr / 1fr;
    visibility: hidden;
    opacity: 0;
}

.ab-photoFrame li figure figcaption {
    align-self: end;
    color: #333;
    font-size: 1rem;
    padding: 8px 8px 8px 16px;
    background-color: #fff;
    top: 5px;
    position: absolute;
    right: 0;
    font-weight: bold;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
	box-shadow: 0 0 5px #3333334f;
}

.ab-photoFrame li figure img {
    grid-area: 1/1/2/2;
}

.ab-photoFrame img {
    width: 100%;
    height: var(--panoramaPhotoHeight);
    object-fit: cover;
    object-position: center center;
}

.ab-progressBarBox {
    width: 100%;
    height: 100%;
    padding: 1rem;
    background-color: #fff;
    z-index: 3;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    gap: 10px;
	display: none;
}

.ab-progressBarBox p {
    direction: rtl;
    text-align: center;
    font-size: 1rem;
    line-height: 1.6rem;
    font-weight: 500;
	color: var(--priymary-color);
}

.ab-progressBar{
	position: relative;
    width: 110px;
    height: 110px;
    border-radius: 50%;
    background: conic-gradient(#769cf0 0%, #EBEBEB 0%);
    display: flex;
    justify-content: center;
    align-items: center;
	box-shadow: inset 0px 3px 4px rgba(26, 26, 26, 0.25) , inset 0px -3px 4px rgba(26, 26, 26, 0.25);
}
.ab-progressBar-logo{
	position: absolute;
    width: 35px !important;
    height: 41px !important;
	object-fit: initial !important;
}
.progress-progressBar{
    width: 85px;
    height: 85px;
    background: #fff;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.ab-galleryThumbnails {
    display: grid;
    justify-content: start;
    gap: 2px;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    /* max-height: 40vh; */
	max-height: calc(var(--panoramaPhotoHeight) - 80px);
    overflow: auto;
}

.ab-galleryThumbnails li {
    position: relative;
    cursor: pointer;
    opacity: 0.6;
    background-color: #00000052;
    border-radius: 3px;
    overflow: hidden;
	max-height: 120px;
}

.ab-galleryThumbnails li.video:before {
    position: absolute;
    content: '';
    background: url("../images/icons/video.png") center / 48% no-repeat;
    width: 100%;
    height: 100%;
}

.ab-galleryThumbnails li:hover {
    opacity: 1;
}

.ab-galleryThumbnails li img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
    user-select: none;
    /* border-radius: 5px; */
}

.ab-clickPlease {
    grid-area: 1/2/2/3;
    display: none;
    text-align: center;
    direction: rtl;
    z-index: 2;
    background: rgba(0, 0, 0, .3);
    padding: 10px;
    border-radius: 10px;
    cursor: pointer;
    pointer-events: none;
	flex-direction: column;
    align-items: center;
    gap: 10px;
}
.ab-clickPlease--text{
	color: var(--white);
    font-size: 1rem;
	font-weight: bold;
}
.ab-room_title {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    text-align: center;
    color: #fff;
    text-shadow: 0px 0px 5px #000;
    font-size: 14px;
    font-weight: 500;
}

.ab-galleryThumbnails li img {
    filter: brightness(0.5);
}

.ab-clickIcon{
    width: auto !important;
    height: 60px !important;
}

@media screen and (min-width:767px) {
	:root {
        --panoramaPhotoHeight: 32rem;
    }
    ab-galleryThumbnails {
        grid-template-columns: repeat(auto-fill, minmax(8rem, 1fr));
        gap: 5px;
    }

    .ab-photoFrame {
        overflow: hidden;
        border-radius: var(--border-radius-section) var(--border-radius-section) 0 0;
    }

    .ab-galleryThumbnails {
		grid-template-columns: repeat(auto-fill, minmax(8rem, 1fr));
    }

    .ab-galleryThumbnails li img {
        min-height: 110px;
    }

	.ab-progressBarBox {
        /* max-width: 21rem; */
    }
}